[ca-certificates-utils] problème de mise à jour (résolu)

Mise à jour / Création /debug de paquetages
Avatar de l’utilisateur
mimile
Maître du Kyudo
Messages : 1250
Inscription : lun. 14 nov. 2011, 10:21
Localisation : Seraing (Belgique)

[ca-certificates-utils] problème de mise à jour (résolu)

Message par mimile » jeu. 16 mars 2017, 15:28

Salut,

Suite à la mise à jour d'aujoud'hui, j'ai ce message :

Code : Tout sélectionner

ca-certificates-utils : /etc/ssl/certs/ca-certificates.crt est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
Quid ?
Dernière édition par mimile le jeu. 16 mars 2017, 16:58, édité 1 fois.
La TV ? J'adore la TV. Je peux rester des heures devant la TV ... et même, parfois, il m'arrive de l'allumer ...
Image
(Jean-Luc GODARD)


Avatar de l’utilisateur
mimile
Maître du Kyudo
Messages : 1250
Inscription : lun. 14 nov. 2011, 10:21
Localisation : Seraing (Belgique)

Re: [ca-certificates-utils] problème de mise à jour

Message par mimile » jeu. 16 mars 2017, 16:57

Merci.

Problème résolu

Cordialement
La TV ? J'adore la TV. Je peux rester des heures devant la TV ... et même, parfois, il m'arrive de l'allumer ...
Image
(Jean-Luc GODARD)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » ven. 17 mars 2017, 01:19

Salut à tous.
J'ai suivi bêtement les instruction sans avoir de souci au préalable... C'est maintenant que j'en ai. :roll:

Un petit

Code : Tout sélectionner

$ yaourt -Syua
me retourne ceci :

Code : Tout sélectionner

:: Synchronisation des bases de données de paquets...
 core est à jour
 extra est à jour
 community est à jour
 multilib est à jour
curl error: Problem with the SSL CA cert (path? access rights?)
curl error: Problem with the SSL CA cert (path? access rights?)
curl error: Problem with the SSL CA cert (path? access rights?)
 Paquets étrangers : \ 43 / 43

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14257
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par benjarobin » ven. 17 mars 2017, 09:05

Quelle est la sortie de

Code : Tout sélectionner

pacman -Qs  ca-certificate 
pacman -Qo /etc/ssl/certs/ca-certificates.crt
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » ven. 17 mars 2017, 15:10

Code : Tout sélectionner

 # pacman -Qs  ca-certificate
local/ca-certificates 20170307-1
    Common CA certificates (default providers)
local/ca-certificates-cacert 20140824-4
    CAcert.org root certificates
local/ca-certificates-mozilla 3.29.3-2
    Mozilla's set of trusted CA certificates
local/ca-certificates-utils 20170307-1
    Common CA certificates (utilities)
    
# pacman -Qo /etc/ssl/certs/ca-certificates
erreur : ne peut pas lire le fichier « /etc/ssl/certs/ca-certificates » : Aucun fichier ou dossier de ce type
...En effet, je comprends qu'il y ait un souci. ^^

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » ven. 17 mars 2017, 17:17

Tiens, bizarement en cette fin d'après-midi, kalu (que j'ai installé il y a peu) me propose quand même des mises à jour.
Exactement, le journal marque ceci :

Code : Tout sélectionner

Analyse de /etc/pacman.conf ...ok
Création de kalu...ok 
Initialisation de kalu...ok
Initialisation de la libraire ALPM...ok
Inscription des bases de données
Inscription de la base de données core... ok
Inscription de la base de données extra... ok
Inscription de la base de données community... ok
Inscription de la base de données multilib... ok
Synchronisation de 4 bases de données
Synchronisation de la base de données core... ok
Synchronisation de la base de données extra... ok
Synchronisation de la base de données community... ok
Synchronisation de la base de données multilib... ok
Bases de données synchronisées
Récupération de la liste des paquets
Résolution des dépendances
Recherche des conflits entre paquets
Download: 118,94 MiB - Install: 310,80 MiB - Net: -3,15 MiB
Récupération réussie de la liste des paquets; en attente de confirmation. 
C'est donc juste Aur qui ne peut être à jour ?
Car un petit « $ yaourt google earth » donne ceci :

Code : Tout sélectionner

curl error: Problem with the SSL CA cert (path? access rights?)
Tandis que « $ yaourt xfce4 » me donne :

Code : Tout sélectionner

1 extra/exo 0.10.7-2 (xfce4) [installed]
    Extensions to Xfce by os-cillation
[...] JUSQU'A
54 community/ristretto 0.8.2-1 (xfce4-goodies)
    Fast and lightweight picture-viewer for Xfce4
55 community/xfce4-whiskermenu-plugin 1.7.1-1 (xfce4-goodies)
    Alternate menu for Xfce4
curl error: Problem with the SSL CA cert (path? access rights?)
==> Numéro(s) des paquets à installer (ex: 1 2 3 ou 1-3)
==> ----------------------------------------------------
==>
Ceci dit, quand je relis la nouvelle du 7 mars, je me demande bien comment pacman pourrait avoir un certificat valide alors qu'une commande syncronise et met à jour (c'est quoi d'ailleurs le « w » ?), une vire le certificat et la dernière met à jour...

Avatar de l’utilisateur
Breizh
newbie
Messages : 9
Inscription : ven. 30 déc. 2016, 10:14

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par Breizh » ven. 17 mars 2017, 17:35

Personnellement, c'est passé avec un yaourt -Su --force. Je sais pas si c'est une bonne idée ceci dit :p

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » ven. 17 mars 2017, 17:47

Bonne question... Je vais personellement attendre l'avis d'autres quand à forcer cela.

Mais je me pose encore une question.
Les certificats pacman pour core ; extra & community sont ils encore fiables ?
(pour le moment, j'attends avant de mettre mon system à jour)

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14257
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par benjarobin » ven. 17 mars 2017, 18:49

Quelle est la sortie de :

Code : Tout sélectionner

ls -l /etc/ssl/certs/ca-certificates.crt /etc/ca-certificates/extracted/tls-ca-bundle.pem
pacman -Ql ca-certificates-utils | grep ca-certificates.crt
pacman -Qo /etc/ssl/certs/ca-certificates.crt
Tu n'aurais pas supprimé le fichier après la mise à jour ?
BobsleiiG a écrit :
ven. 17 mars 2017, 17:47
Les certificats pacman pour core ; extra & community sont ils encore fiables ?
Aucun lien, cela n'a strictement rien à voir. pacman n'utilise pas de certificats
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » ven. 17 mars 2017, 19:17

J'ai fais ceci :

Code : Tout sélectionner

# pacman -Syuw
# rm /etc/ssl/certs/ca-certificates.crt
# pacman -Su
Voici les commandes « ls » & « pacman » :

Code : Tout sélectionner

# ls -l /etc/ssl/certs/ca-certificates.crt /etc/ca-certificates/extracted/tls-ca-bundle.pem
ls: impossible d'accéder à '/etc/ssl/certs/ca-certificates.crt': Aucun fichier ou dossier de ce type
-r--r--r-- 1 root root 262609 16 mars  02:41 /etc/ca-certificates/extracted/tls-ca-bundle.pem

Code : Tout sélectionner

# pacman -Ql ca-certificates-utils | grep ca-certificates.crt
grep: ca-certificates.crt: Aucun fichier ou dossier de ce type

Code : Tout sélectionner

# pacman -Qo /etc/ssl/certs/ca-certificates.crt
erreur : ne peut pas lire le fichier « /etc/ssl/certs/ca-certificates.crt » : Aucun fichier ou dossier de ce type
***
benjarobin a écrit :
ven. 17 mars 2017, 18:49
BobsleiiG a écrit :
ven. 17 mars 2017, 17:47
Les certificats pacman pour core ; extra & community sont ils encore fiables ?
Aucun lien, cela n'a strictement rien à voir. pacman n'utilise pas de certificats
Ok, merci. :)

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14257
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par benjarobin » ven. 17 mars 2017, 19:33

BobsleiiG a écrit :
ven. 17 mars 2017, 19:17
J'ai fais ceci :

Code : Tout sélectionner

# pacman -Syuw
# rm /etc/ssl/certs/ca-certificates.crt
# pacman -Su
Comme un gros gros doute....
BobsleiiG a écrit :
ven. 17 mars 2017, 19:17

Code : Tout sélectionner

# pacman -Ql ca-certificates-utils | grep ca-certificates.crt
grep: ca-certificates.crt: Aucun fichier ou dossier de ce type
Ce message d'erreur est impossible !!!! Tu n'as pas tapé cette commande !

Bref, réinstalle le paquet

Code : Tout sélectionner

pacman -S ca-certificates-utils
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » ven. 17 mars 2017, 23:11

benjarobin a écrit :
ven. 17 mars 2017, 19:33
BobsleiiG a écrit :
ven. 17 mars 2017, 19:17
J'ai fais ceci :

Code : Tout sélectionner

# pacman -Syuw
# rm /etc/ssl/certs/ca-certificates.crt
# pacman -Su
Comme un gros gros doute.... SISI ! (je t'assure, je sais encore ce que je tape dans mon terminal)
BobsleiiG a écrit :
ven. 17 mars 2017, 19:17

Code : Tout sélectionner

# pacman -Ql ca-certificates-utils | grep ca-certificates.crt
grep: ca-certificates.crt: Aucun fichier ou dossier de ce type
Ce message d'erreur est impossible !!!! Tu n'as pas tapé cette commande !
Eh bien merci, ça fait toujours plaisir d'être traité de menteur...

benjarobin a écrit :
ven. 17 mars 2017, 19:33
Bref, réinstalle le paquet

Code : Tout sélectionner

pacman -S ca-certificates-utils
Merci.


Cadeau :

Image



Mais en effet, avec zsh, que tu utilise, le message n'est pas le même (tout le monde n'utilise pas zsh, et tout les autres ne sont donc pas des menteurs pour autant).

Image

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14257
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par benjarobin » sam. 18 mars 2017, 00:20

Aucun rapport avec zsh :| Tu as sûrement inséré des espaces insécables ou autre truc foireux du même genre...
Clairement fait un copier-coller ou retape la commande, je t'assure que la sortie ne peut pas être celle-ci :( :(
Si tu as toujours cette sortie, alors grep n'est pas grep, tu dois avoir un alias très très bizarre !!!
Quelle est la sortie de

Code : Tout sélectionner

alias grep
which grep
Normalement les 2 commandes suivantes doivent donner la même chose (ce que tu as affiché via zsh), si ce n'est pas le cas tu as comme un gros souci de configuration de ton bashrc

Code : Tout sélectionner

pacman -Ql ca-certificates-utils | grep ca-certificates.crt
/usr/bin/pacman -Ql ca-certificates-utils | /usr/bin/grep ca-certificates.crt  
Je ne te traite pas de menteur, tout le monde peut faire une erreur ou se tromper et oublier, il faut juste savoir accepter...
Le fichier n'a pas juste disparu comme par magie (tu es le seul à pouvoir l'avoir supprimé)... Car il est bien fournit par le paquet et pacman ne fait pas d'erreur !
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » sam. 18 mars 2017, 00:40

Ok autant pour moi. C'est que le fait de lire « tu n'as pas tapé cette commande ! » alors que j'ai fais un copié/collé c'était un peu comment dire... quelque peu désagréable.
Mais bref, passons. J'ai en effet encore ce message alors que le paquet est ré-instalé et une MàJ Aur compris est effectué avec succès.
Je me suis alors, moi aussi posé cette question. Est-ce que grep est bien reconu ?

Voici donc :

Code : Tout sélectionner

$ alias grep
alias grep='grep –color=auto'

Code : Tout sélectionner

$ which grep
/usr/sbin/grep
Perso, rien ne me choque plus que ça. La couleur ne devrais pas gêner.
Mais bizarement en désactivant la l'alias de grep, j'obtiens autre chose :

Code : Tout sélectionner

$ pacman -Ql ca-certificates-utils | \grep ca-certificates.crt
ca-certificates-utils /etc/ssl/certs/ca-certificates.crt
Edit : TROUVE ! Cet alias à la mord moi l'noeud. un seul tiret !
Merci. Je pensais à grep, tu as pensé aux aliases.
Dernière édition par BobsleiiG le sam. 18 mars 2017, 00:45, édité 1 fois.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14257
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par benjarobin » sam. 18 mars 2017, 00:44

Donc désolé pour mes propos mais je ne pouvais pas deviner que tu avais un alias sur grep complètement foireux

Et, je vois 2 soucis : C'est quoi ce chemin : /usr/sbin/grep, normalement cela devrait être /usr/bin/grep, ton PATH n'est pas standard.
Sinon c'est --color et non -color

Quelle est la sortie de :

Code : Tout sélectionner

 echo $PATH
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » sam. 18 mars 2017, 00:53

Nos messages se sont croisés. :)

J'ai :
/bin (ln vers /usr/bin)
/sbin (ln vers /usr/bin)
/usr/sbin (ln vers ./bin)

C'est bizarre ça.

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » sam. 18 mars 2017, 00:54

Code : Tout sélectionner

$ echo $PATH
/usr/sbin:/sbin:/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14257
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par benjarobin » sam. 18 mars 2017, 10:12

BobsleiiG a écrit :
sam. 18 mars 2017, 00:53
/bin (ln vers /usr/bin)
/sbin (ln vers /usr/bin)
/usr/sbin (ln vers ./bin)

C'est bizarre ça.
Non :-)

Je pense que ceci au début n'a rien à faire dans ton PATH :

Code : Tout sélectionner

/usr/sbin:/sbin:/bin:/usr/games:
Après ce n'est pas grave, mais question performance c'est un peu dommage (le système doit résoudre un lien symbolique en plus), et ce n'est pas très jolie :D
Quelle est la sortie avec ton user de :

Code : Tout sélectionner

grep -r PATH /etc/profile* /etc/bash* ~/.bashrc ~/.bash_profile ~/.profile
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
BobsleiiG
Hankyu
Messages : 47
Inscription : dim. 03 juil. 2016, 12:40
Localisation : Basse-Normandie

Re: [ca-certificates-utils] problème de mise à jour (résolu)

Message par BobsleiiG » sam. 18 mars 2017, 10:28

Code : Tout sélectionner

% grep -r PATH /etc/profile* /etc/bash* ~/.bashrc ~/.bash_profile ~/.profile

/etc/profile:PATH="/usr/local/sbin:/usr/local/bin:/usr/bin"
/etc/profile:export PATH
/etc/profile:unset MANPATH
/etc/profile.d/jre.csh:setenv PATH "${PATH}:/usr/lib/jvm/default/bin"
/etc/profile.d/mozilla-common.sh:export MOZ_PLUGIN_PATH="/usr/lib/mozilla/plugins"
/etc/profile.d/perlbin.sh:[ -d /usr/bin/site_perl ] && PATH=$PATH:/usr/bin/site_perl
/etc/profile.d/perlbin.sh:[ -d /usr/lib/perl5/site_perl/bin ] && PATH=$PATH:/usr/lib/perl5/site_perl/bin
/etc/profile.d/perlbin.sh:[ -d /usr/bin/vendor_perl ] && PATH=$PATH:/usr/bin/vendor_perl
/etc/profile.d/perlbin.sh:[ -d /usr/lib/perl5/vendor_perl/bin ] && PATH=$PATH:/usr/lib/perl5/vendor_perl/bin
/etc/profile.d/perlbin.sh:[ -d /usr/bin/core_perl ] && PATH=$PATH:/usr/bin/core_perl
/etc/profile.d/perlbin.sh:export PATH
/etc/profile.d/jre.sh:export PATH=${PATH}:/usr/lib/jvm/default/bin
/etc/profile.d/mozilla-common.csh:setenv MOZ_PLUGIN_PATH "/usr/lib/mozilla/plugins"
/etc/profile.d/perlbin.csh:[ -d /usr/bin/site_perl ] && setenv PATH ${PATH}:/usr/bin/site_perl
/etc/profile.d/perlbin.csh:[ -d /usr/lib/perl5/site_perl/bin ] && setenv PATH ${PATH}:/usr/lib/perl5/site_perl/bin
/etc/profile.d/perlbin.csh:[ -d /usr/bin/vendor_perl ] && setenv PATH ${PATH}:/usr/bin/vendor_perl
/etc/profile.d/perlbin.csh:[ -d /usr/lib/perl5/vendor_perl/bin ] && setenv PATH ${PATH}:/usr/lib/perl5/vendor_perl/bin
/etc/profile.d/perlbin.csh:[ -d /usr/bin/core_perl ] && setenv PATH ${PATH}:/usr/bin/core_perl
/home/bobsleiig/.profile:PATH="/usr/sbin:/sbin:/bin:/usr/games:$PATH"

Répondre

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 3 invités